Bug 260226 - security/p5-openxpki*: Update to 3.16.1
Summary: security/p5-openxpki*: Update to 3.16.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dries Michiels
URL: https://github.com/openxpki/openxpki/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-05 02:08 UTC by Sergei Vyshenski
Modified: 2021-12-13 17:23 UTC (History)
2 users (show)

See Also:


Attachments
"git diff" to update two ports (3.19 KB, patch)
2021-12-05 02:08 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
"git diff" to update two ports (2.05 KB, patch)
2021-12-08 06:21 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-12-05 02:08:26 UTC
Created attachment 229912 [details]
"git diff" to update two ports

- Update two ports sharing the same distribution
	3.16.0 -> 3.16.1 (bugfix stable release)
Changes: https://github.com/openxpki/openxpki/compare/v3.16.0...v3.16.1

- "portlint -AC" says: Looks fine.
- "portclippy Makefile" is happy.
- "portfmt -D Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
13.0-RELEASE-p5
pkg 1.17.5
poudriere 3.3.7_1
perl 5.32.1_1
openssl 1.1.1k
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 1 Dries Michiels freebsd_committer 2021-12-07 15:11:54 UTC
Take
Comment 2 Dries Michiels freebsd_committer 2021-12-07 15:16:37 UTC
Hello Sergei, thanks for the patch!

Please don't follow output of linting tools blindly. Take a look at the diff after portfmt which suggest to wrap those lines. Do you think its more readable? (I don't think so at all ...), reason is that the MY_DEPEND keyword is missing from the rules section (see link below).

https://github.com/t6/portfmt/blob/main/rules.c

Please create a Pull Request to add the MY_DEPENDS keyword. It should be handled the same way as BUILD_DEPENDS or RUN_DEPENDS or LIB_DEPENDS, which always starts a new line for each entry.

As such (an entry above BUILD_DEPENDS):

	{ BLOCK_DEPENDS, "MY_DEPENDS", VAR_PRINT_AS_NEWLINES | VAR_SORTED, {} },
	VAR_FOR_EACH_ARCH(BLOCK_DEPENDS, "MY_DEPENDS_", VAR_PRINT_AS_NEWLINES | VAR_SKIP_GOALCOL | VAR_SORTED, {}),

Tobik is very pleased to receive PR's.
Comment 3 Sergei Vyshenski 2021-12-08 06:21:02 UTC
Created attachment 229970 [details]
"git diff" to update two ports

Ok, thanks, will do it.
Meanwhile please find a new patch.
Comment 4 commit-hook freebsd_committer 2021-12-13 17:22:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=86723e299a49a4dc827534f65c9e3676bdd519ce

commit 86723e299a49a4dc827534f65c9e3676bdd519ce
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-12-08 19:59:35 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-13 17:21:59 +0000

    security/p5-openxpki: Update to 3.16.1

    Changes:                https://github.com/openxpki/openxpki/compare/v3.16.0...v3.16.1
    PR:                     260226
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33383

 security/p5-openxpki/Makefile | 2 +-
 security/p5-openxpki/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-12-13 17:22:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3c01d8800e8c404f6ba8f9e5c46aa38ef46d09e8

commit 3c01d8800e8c404f6ba8f9e5c46aa38ef46d09e8
Author:     Sergei Vyshenski <svysh.fbsd@gmail.com>
AuthorDate: 2021-12-08 20:01:40 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-13 17:21:59 +0000

    security/p5-openxpki-i18n: Update to 3.16.1

    Changes:                https://github.com/openxpki/openxpki/compare/v3.16.0...v3.16.1
    PR:                     260226
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33382

 security/p5-openxpki-i18n/Makefile | 2 +-
 security/p5-openxpki-i18n/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 6 Dries Michiels freebsd_committer 2021-12-13 17:23:34 UTC
Committed, thanks! Looking forward to the Pull Request for portfmt ... :)